# The main Hola driver
class Hola

    # Say hi to the world!
    #
    # Example:
    #   >> Hola.hi("spanish")
    #   => hola mundo
    #
    # Arguments:
    #   language: (String)
    def self.hi(language = "english")
        translator = Translator.new(language)
        translator.hi
    end

    protected
    # Say Hello to the world!
    #
    # Example:
    #   >> Hola.hello
    #   => Hello World
    def self.hello
        puts "Hello World"
    end

    private
    # Say Hello to the god!
    #
    # Example:
    #   >> instance.hello2
    #   => Hello God
    def hello2
        puts "Hello God"
    end
end

require 'hola_ismaelmedeiros/translator'